{% extends 'base.html'%}
{% load cache %}

{% block content %}


<style>
   button, {
   margin: 0 auto;
   width: 200px;
   }
   input{

     height: 200px;
   }
   ul {
    list-style-type: none;
}
   .time {
      font-size: 12pt;
   }
   .text-green {
   color: green;
   }
  .approve {
  padding: 0;
  margin-right:0;
   width: 50px;
   margin-left: 20px;
   display: inline-block;
  }

  .disapprove {
  margin-left:30px;
   width: 50px;
   padding:0;

  }
  .row {
  align-items: left;
  }



</style>
<main class="card">
   <div class="card-body container d-flex justify-content-center article card mt-2 pt-2 col-md-8">
      <h2 class="card-header">{{article.title}} <br> <span class="time">{{article.published|date:"d.m.Y"}} </span></h2>
      <p class="card-text"> {{article.content|safe}} </p>
      <a class="pb-2" href="{{article.source}}">Источник</a>

      <h4 class="card-text"> Рейтинг: {{article.rating}} </h4>
      {% if user.is_authenticated %}
      <div class="row">
      <a href="/manage_rating?news_id={{article.id}}&up=1" class="btn col-md-1 btn-success approve"><i class="fa fa-thumbs-o-up" aria-hidden="true"></i></a>
      <a href="/manage_rating?news_id={{article.id}}&down=1" class="btn col-md-1  btn-danger disapprove"><i class="fa fa-thumbs-o-down" aria-hidden="true"></i></a>
         {% if article.pk not in favorite %}
        <a href="/add_to_favor?news_id={{article.id}}&down=1" class="btn col-md-1  btn-warning disapprove"><i class="fa fa-star" aria-hidden="true"></i></a>
         {% else %}
         <a href="/del_from_favor?news_id={{article.id}}" class="btn col-md-1  btn-secondary disapprove"><i class="fa fa-star" aria-hidden="true"></i></a>
         {% endif %}
      </div>
      {% endif %}

      <h5 class="ml-2 mt-4"><i class="fa fa-eye" aria-hidden="true"></i> {{view_count}}</h5>
   </div>
   {% if request.user.is_authenticated %}
   <form method="post" >
      {% csrf_token %}
   <div class="card-body container d-flex justify-content-center article card mt-2 pt-2 col-md-8">
      <h2>Оставить комментарий</h2>
      <textarea name="text" rows="10" type="text"></textarea>
      <button class="mt-2 text-center btn btn-primary" type="submit"> Отправить</button>
   </div>

      </form>

   {% else %}
    <a class="container d-flex justify-content-center mt-2 pt-2 col-md-8 btn btn-primary w" href="{% url 'login' %}"> Войдите, чтобы оставить комментарий или оценить статью</a>
   {% endif%}

<div>
      <ul class="m-0 p-0">
         {% for comment in comments%}
         <li>

            <p class="card-header container d-flex justify-content-center article card mt-2 pt-2 col-md-8"> <b class="p-0 m-0">{{comment.author}}</b> <span>{{comment.published|date:"d.m.Y"}}</span> </p>
            <span class="card-body container mb-4 d-flex justify-content-center article card mt-2 pt-2 col-md-8" >{{comment.text}} </span>

         </li>
         {% endfor %}

      </ul>
   </div>
</main>

{% endblock %}


